--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Pop the 'current' Transaction from the per thread Transaction stack so that everything done by this Adapter is no longer necessarily within the context of said Transaction.
- !ruby/struct:SM::Flow::P 
  body: "@return [Transaction]"
- !ruby/struct:SM::Flow::VERB 
  body: "  the former 'current' transaction.\n"
- !ruby/struct:SM::Flow::P 
  body: "@api private"
full_name: DataMapper::Transaction::Adapter#pop_transaction
is_singleton: false
name: pop_transaction
params: ()
visibility: public
